package com.zd.system.api.laboratory.domain;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import com.zd.system.api.laboratory.domain.vo.LabSubClassVO;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 实验室对象 lab_subject
 *
 * @author zd
 * @date 2021-08-30
 */
public class LabSubject extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 实验室名称
     */
    @Excel(name = "实验室名称")
    private String name;

    /**
     * 实验室楼层
     */
    @Excel(name = "实验室楼层")
    private Long floorId;

    /**
     * 实验室房间号
     */
    @Excel(name = "实验室房间号")
    private String room;

    /**
     * 部门id
     */
    @Excel(name = "部门id")
    private Long deptId;

    /**
     * 部门名称
     */
    @Excel(name = "部门名称")
    private String deptName;

    /**
     * 管理员id
     */
    @Excel(name = "管理员id")
    private Long adminId;

    /**
     * 是否删除（1是未删除，0是删除）
     */
    @Excel(name = "是否删除", readConverterExp = "1=是未删除，0是删除")
    private Boolean isDel;

    /**
     * 创建人（用于数据权限）
     */
    @Excel(name = "创建人", readConverterExp = "用=于数据权限")
    private Long userId;

    /**
     * 是否是实验室
     */
    private Long isSubject;

    /**
     * 实验室顺序
     */
    @ApiModelProperty("实验室顺序")
    private Long subOrder;
    /**
     * 仅仅为了回显， 后面考虑移除
     */
    @ApiModelProperty("楼栋ID")
    private Long buildId;

    /**
     * 安全分类
     */
    private Long typeId;

    @ApiModelProperty("布局ID")
    private Long layoutId;

    @ApiModelProperty("检查项")
    private String checkOut;

    /**
     * 在线人数
     */
    @JsonInclude
    private Long online;


    @ApiModelProperty("离开检查项")
    private String checkIn;

    @ApiModelProperty("安全负责人")
    private String safeUserId;

    @ApiModelProperty("安全警示标示--字典")
    private String safeSigns;

    @ApiModelProperty("主要危险类别--字典")
    private String hazardCategory;

    @ApiModelProperty("安全防控措施--字典")
    private String riskMeasure;

    @ApiModelProperty("灭火要点--字典")
    private String outfire;

    @ApiModelProperty("二维码")
    private String qrCode;

    @ApiModelProperty("安全负责人名称")
    private String safeUserName;

    @ApiModelProperty("安全负责人手机号")
    private String safeUserPhone;

    @ApiModelProperty("负责人手机号")
    private String adminPhone;

    @ApiModelProperty("详细地址")
    private String address;

    @ApiModelProperty("实验室危险等级信息")
    private LabSubClassVO subClassVO;

    @ApiModelProperty("级别")
    private Long level;

    /**
     * 展示排序
     */
    @ApiModelProperty("展示排序")
    private Integer diyOrder;

    @ApiModelProperty(value = "二维码地址")
    private String qrCodeUrl;

    @ApiModelProperty("穿戴检查可跳过（0 否，1 是）")
    private Integer skipped;

    @ApiModelProperty("检测上限")
    private Integer checkCount;

    public Long getLevel() {
        return level;
    }

    public void setLevel(Long level) {
        this.level = level;
    }

    public String getCheckIn() {
        return checkIn;
    }

    public void setCheckIn(String checkIn) {
        this.checkIn = checkIn;
    }

    public Long getOnline() {
        return online;
    }

    public void setOnline(Long online) {
        this.online = online;
    }

    public Boolean getDel() {
        return isDel;
    }

    public void setDel(Boolean del) {
        isDel = del;
    }

    public Long getBuildId() {
        return buildId;
    }

    public void setBuildId(Long buildId) {
        this.buildId = buildId;
    }

    public Long getLayoutId() {
        return layoutId;
    }

    public void setLayoutId(Long layoutId) {
        this.layoutId = layoutId;
    }

    public String getCheckOut() {
        return checkOut;
    }

    public void setCheckOut(String checkOut) {
        this.checkOut = checkOut;
    }

    public String getSubDept() {
        return subDept;
    }

    public void setSubDept(String subDept) {
        this.subDept = subDept;
    }

    @ApiModelProperty("学科")
    private String subDept;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public String getAdminPhone() {
        return adminPhone;
    }

    public void setAdminPhone(String adminPhone) {
        this.adminPhone = adminPhone;
    }

    public void setFloorId(Long floorId) {
        this.floorId = floorId;
    }

    public Long getFloorId() {
        return floorId;
    }

    public void setRoom(String room) {
        this.room = room;
    }

    public String getRoom() {
        return room;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setAdminId(Long adminId) {
        this.adminId = adminId;
    }

    public Long getAdminId() {
        return adminId;
    }

    public void setIsDel(Boolean isDel) {
        this.isDel = isDel;
    }

    public Boolean getIsDel() {
        return isDel;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public LabSubClassVO getSubClassVO() {
        return subClassVO;
    }

    public void setSubClassVO(LabSubClassVO subClassVO) {
        this.subClassVO = subClassVO;
    }

    public Long getIsSubject() {
        return isSubject;
    }

    public void setIsSubject(Long isSubject) {
        this.isSubject = isSubject;
    }

    public Long getSubOrder() {
        return subOrder;
    }

    public void setSubOrder(Long subOrder) {
        this.subOrder = subOrder;
    }

    public String getSafeUserId() {
        return safeUserId;
    }

    public void setSafeUserId(String safeUserId) {
        this.safeUserId = safeUserId;
    }

    public String getSafeSigns() {
        return safeSigns;
    }

    public void setSafeSigns(String safeSigns) {
        this.safeSigns = safeSigns;
    }

    public String getHazardCategory() {
        return hazardCategory;
    }

    public void setHazardCategory(String hazardCategory) {
        this.hazardCategory = hazardCategory;
    }

    public String getRiskMeasure() {
        return riskMeasure;
    }

    public void setRiskMeasure(String riskMeasure) {
        this.riskMeasure = riskMeasure;
    }

    public String getOutfire() {
        return outfire;
    }

    public void setOutfire(String outfire) {
        this.outfire = outfire;
    }

    public String getQrCode() {
        return qrCode;
    }

    public void setQrCode(String qrCode) {
        this.qrCode = qrCode;
    }

    public String getSafeUserName() {
        return safeUserName;
    }

    public void setSafeUserName(String safeUserName) {
        this.safeUserName = safeUserName;
    }

    public String getSafeUserPhone() {
        return safeUserPhone;
    }

    public void setSafeUserPhone(String safeUserPhone) {
        this.safeUserPhone = safeUserPhone;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("name", getName())
                .append("floor", getFloorId())
                .append("room", getRoom())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("adminId", getAdminId())
                .append("isDel", getIsDel())
                .append("createTime", getCreateTime())
                .append("userId", getUserId())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .append("remark", getRemark())
                .append("remark", getIsSubject())
                .append("remark", getSubOrder())
                .toString();
    }

    public Long getTypeId() {
        return typeId;
    }

    public void setTypeId(Long typeId) {
        this.typeId = typeId;
    }

    public Integer getDiyOrder() {
        return diyOrder;
    }

    public void setDiyOrder(Integer diyOrder) {
        this.diyOrder = diyOrder;
    }

    public String getQrCodeUrl() {
        return qrCodeUrl;
    }

    public void setQrCodeUrl(String qrCodeUrl) {
        this.qrCodeUrl = qrCodeUrl;
    }

    public Integer getSkipped() {
        return skipped;
    }

    public void setSkipped(Integer skipped) {
        this.skipped = skipped;
    }

    public Integer getCheckCount() {
        return checkCount;
    }

    public void setCheckCount(Integer checkCount) {
        this.checkCount = checkCount;
    }
}
